Login/Register

Update Feed

WebsiteBaker 2.12.2

19 August 2019

WebsiteBaker version 2.12.2 is now available.

Upgrading to WebsiteBaker 2.12.2


WebsiteBaker 2.12.2 can be upgraded to (or installed) using any of Installatron's products. Use Installatron's optional Automatic Update feature to automatically apply WebsiteBaker updates as new versions are released, or use Installatron's Clone feature to duplicate an existing WebsiteBaker install to test the 2.12.2 upgrade prior to applying it live. Get started managing your WebsiteBaker installations with Installatron

What's New in WebsiteBaker 2.12.2


2.12.2

Upgrade possible from any WB 2.8.3 version and higher to 2.12.2
New Captcha Addon, including a new settings mask in the Admin Tool [captcha_control]
- Update old Captcha styles without reloading the whole page.
Extended rights for administrators group like
- Call the WB-Info Box, but without the possibility to call the [upgrade-script].
- Calling the error log, but without delete function
- Prevent access to user login
Group permissions: The option to access the add-on settings has been added.
Page Options: For better comprehensibility, texts for the visibility setting (dropdown) have been made more user-friendly.
Revised Drag and Drop of News overview page, CSS Fix
Filter Search in overview of data Rows in Nested List (<li>), Tables (<tr>) or Dropdowns (<option>)
Start of the DefaultTheme redesign for mobile devices.
- Step 1 Drag and drop for page overview, section management and partly already for lists in addons (news). Still based on the YUII (jsadmin) drag and drop.
Reconstruction visibility selection in pages setting with description in different colors for better understanding

2.12.1

- Upgrade now possible from any WB 2.8.3 version to 2.12.1
- Bugfixes published by forum users (e.g. password too short or bin/replace or bin/admin error)
- Further checks and changes to compatibility with php 7.x without losing backward compatibility with older add-ons.
- Some mysqli statements have been changed for strict mode.
- Added flags in language dropdown boxes
- the WB installation process is now prevented if the PHP version is less than 5.6.
- No longer in the package, the core will create these directories and files itself: /pages, /media, /temp, /var/log and config.php
- Now displays a hint if modules are no longer installed but registered (without WebsiteBaker crashing)
- These custom files are not overwritten by the core:
- frontendUser.css, frontendUser.js (frontend.css/js are not loaded then)
- backendUser.css, backendUser.js (backend.css/js are not loaded then)
- Twig updated to version 1.3.6, version 2.4.5.5 added
- Select Twig version 1.x or 2.x under Admin Tools > Server Settings
- jQuery updated to 1.12.4 and version 3.3.1 added
- Select jQuery version under Admin Tools > Server Settings
- Users can add more jQuery versions that are never removed by the core (in include/jquery/dist).
- New creation of access files extended
- Rebuild all access files from any add-on that creates access files without changing the add-on code.
- (via Rebuild Access Files; only one optional script WBReorg required)
- Dialog and hint window with more options replaced by a new plugin
- CKeditor updated to version 4.10.0
- fixed: after 3 invalid login attempts the login is now locked again until the WB session cookie is deleted or the browser is closed
- Adjustments to the backend theme (e.g. uniform icons in the top menu)

© 2004 - 2019 Installatron LLC. All rights reserved.